// cc-by 3.0 Austria, (c) 2009 Markus Loeberbauer
// http://ssw.jku.at/Teaching/Lectures/SpezialLVA/JavaFX/

package at.jku.ssw.worms.score;

import javax.jdo.JDOHelper;
import javax.jdo.PersistenceManagerFactory;

public final class PersistenceManagerFactoryProvider {
    private static final PersistenceManagerFactory pmfInstance =
        JDOHelper.getPersistenceManagerFactory("transactions-optional");

    private PersistenceManagerFactoryProvider() {
    	// keep constructor private
    }

    public static PersistenceManagerFactory get() {
        return pmfInstance;
    }

}
