package at.jku.ssw.worms.score.servlet;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import at.jku.ssw.worms.score.Score;
import at.jku.ssw.worms.score.ScoreUtil;

public class GetScoresServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		resp.setContentType("text/plain");
		PrintWriter out = resp.getWriter();
		
		List<Score> scores = ScoreUtil.getScores();
		for (Score s : scores) {
			out.printf("%s:%d%n", s.getPlayerName(), s.getScore());
		}
	}
}
