package at.jku.ssw.worms.score.servlet;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import at.jku.ssw.worms.score.Score;
import at.jku.ssw.worms.score.ScoreConstants;
import at.jku.ssw.worms.score.ScoreUtil;

public class ViewScoresServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		List<Score> scores = ScoreUtil.getScores();
		req.setAttribute(ScoreConstants.SCORE, scores);

		String target = resp.encodeURL("/WEB-INF/JSP/scoreview.jsp");
		RequestDispatcher rd = getServletContext().getRequestDispatcher(target);
		rd.forward(req, resp);
	}
}
